Subject: VPLS and martini Ethernet encapsulation via MPLS and control word

From: "Per Hansen" <[email-masked]>
Date: Thu, 6 Mar 2003 00:26:21 +0100

There seem to be a need for a technical check of whether the following
will fly
Together:
 
    1) VPLS    (virtual Ethernet switching via MPLS)
    2) Martini Encapsulation of Ethernet packets via MPLS as
pseudo-wire.
    3) Flat MPLS room in an MPLS switch and MPLS/VPLS switch. 
         (label room per switch, instead of per port).
 
Do any have comments on this ?.
 
Argument:
Martini Encapsulation specify both a tunnel MPLS label and a VC MPLS
label, where
The VC label default value is 5 for Ethernet packets. The last 5 value
(or more correct that
If the VC label value is the same for different martini tunnels), seem
potential to be
an implementation issue for martini tunnels if many of them needs to be
terminated
in a VPLS/MPLS switch with a flat MPLS room.  
 
Should it be stated somewhere, that the martiny VC label needs to be
different in an VPLS/MPLS
Switch with a flat MPLS room, or is this already clear enough ?.
 
Furthermore martini encapsulation of Ethernet packets over MPLS also
introduce an control word, which is optional, and which is not a label.
Should it be stated somewhere, that remote ends,
Should be able not to send this to a VPLS/MPLS switch which terminate
the martini tunnel – or
Should it be stated that it is a requirement that a VPLS/MPLS switch
shall be configurable on
Each pseudo-wire with whether a  control word in the martini
encapsulation is included or not ?

---

From: "Renwei Li" <[email-masked]>
Date: Sun, 30 Mar 2003 22:13:22 -0800

Just for your information, Martini draft didn't specify the MPLS tunnel
label, although it suggests that an MPLS tunnel label may be used. As a
matter of fact, it can perfectly be transported over a L2TP tunnel. With
respect to the VC label, the draft is clear enough and it doesn't need
to specify anything about being different in an VPLS/MPLS swith with a
flat MPLS room. The VC label is only end-to-end significant.
 
Renwei
-----Original Message-----
From: Per Hansen [mailto:[email-masked]] 
Sent: Wednesday, March 05, 2003 3:26 PM
To: [email-masked]; [email-masked]; [email-masked];
[email-masked]
Subject: VPLS and martini Ethernet encapsulation via MPLS and control
word

 
 
Argument:

the martini tunnel - or